package com.zcloud.basic.info.domain.gateway;

import com.zcloud.basic.info.domain.model.DepartmentE;

/**
 * web-domain
 *
 * @Author zhaokai
 * @Date 2025-10-29 16:03:20
 */
public interface DepartmentGateway {

    /**
     * 新增
     */
    Long add(DepartmentE departmentE);

    /**
     * 修改
     */
    Boolean update(DepartmentE departmentE);

    /**
     * 删除
     */
    Boolean deletedDepartmentById(Long id);

    Boolean deletedDepartmentByIds(Long[] id);
}

